.\" *********************************** start of \input{common.tex}
.\" *********************************** end of \input{common.tex}
'\" t
.\" Manual page created with latex2man on Tue Aug 29 12:09:48 2023
.\" NOTE: This file is generated, DO NOT EDIT.
.de Vb
.ft CW
.nf
..
.de Ve
.ft R

.fi
..
.TH "UNW\\_APPLY\\_REG\\_STATE" "3libunwind" "29 August 2023" "Programming Library " "Programming Library "
.SH NAME
unw_apply_reg_state
\-\- apply a register state update to a cursor 
.PP
.SH SYNOPSIS

.PP
#include <libunwind.h>
.br
.PP
int
unw_apply_reg_state(unw_cursor_t *cp,
void *reg_states_data);
.br
.PP
.SH DESCRIPTION

.PP
The unw_apply_reg_state()
routine updates the register values 
of a cursor according to the instructions in reg_states_data,
which have been obtained by calling unw_reg_states_iterate\&.
.PP
.SH RETURN VALUE

.PP
On successful completion, unw_apply_reg_state()
returns 0. 
Otherwise the negative value of one of the error codes below is 
returned. 
.PP
.SH THREAD AND SIGNAL SAFETY

.PP
unw_apply_reg_state()
is thread safe. If cursor cp
is 
in the local address space, this routine is also safe to use from a 
signal handler. 
.PP
.SH ERRORS

.PP
.TP
UNW_EUNSPEC
 An unspecified error occurred. 
.TP
UNW_ENOINFO
 Libunwind
was unable to locate 
unwind\-info for the procedure. 
.TP
UNW_EBADVERSION
 The unwind info for the procedure has 
version or format that is not understood by libunwind\&.
.PP
In addition, unw_apply_reg_state()
may return any error 
returned by the access_mem()
call\-back (see 
unw_create_addr_space(3libunwind)).
.PP
.SH SEE ALSO

.PP
libunwind(3libunwind),
unw_reg_states_iterate(3libunwind)
.PP
.SH AUTHOR

.PP
David Mosberger\-Tang
.br
Email: \fBdmosberger@gmail.com\fP
.br
WWW: \fBhttp://www.nongnu.org/libunwind/\fP\&.
.\" NOTE: This file is generated, DO NOT EDIT.
