.\" *********************************** start of \input{common.tex}
.\" *********************************** end of \input{common.tex}
'\" t
.\" Manual page created with latex2man on Tue Aug 29 12:09:48 2023
.\" NOTE: This file is generated, DO NOT EDIT.
.de Vb
.ft CW
.nf
..
.de Ve
.ft R

.fi
..
.TH "UNW\\_GET\\_ACCESSORS" "3libunwind" "29 August 2023" "Programming Library " "Programming Library "
.SH NAME
unw_get_accessors
\-\- get pointer to accessor call\-backs 
.PP
.SH SYNOPSIS

.PP
#include <libunwind.h>
.br
.PP
unw_accessors_t *unw_get_accessors(unw_addr_space_t as);
.br
.PP
.SH DESCRIPTION

.PP
The unw_get_accessors()
routine returns a pointer to a 
unw_accessors_t
structure, which contains the callback 
routines that were specified when address space as
was created 
(see unw_create_addr_space(3libunwind)).
The returned pointer is 
guaranteed to remain valid until address space as
is destroyed 
by a call to unw_destroy_addr_space(3libunwind).
.PP
Note that unw_get_accessors()
can be used to retrieve the 
callback routines for the local address space 
unw_local_addr_space\&.
.PP
.SH RETURN VALUE

.PP
The unw_get_accessors()
routine cannot fail and always 
returns a valid (non\-NULL)
pointer to an 
unw_accessors_t
structure. 
.PP
.SH THREAD AND SIGNAL SAFETY

.PP
The unw_get_accessors()
routine is thread safe as well as 
safe to use from a signal handler. 
.PP
.SH SEE ALSO

.PP
libunwind(3libunwind),
unw_create_addr_space(3libunwind),
unw_destroy_addr_space(3libunwind)
.PP
.SH AUTHOR

.PP
David Mosberger\-Tang
.br
Email: \fBdmosberger@gmail.com\fP
.br
WWW: \fBhttp://www.nongnu.org/libunwind/\fP\&.
.\" NOTE: This file is generated, DO NOT EDIT.
